$bg-dark: hsl(207, 26%, 17%);
$bg-dark-secondary: hsl(209, 23%, 22%);
$bg-light: hsl(0, 0%, 98%);
$bg-light-secondary: hsl(0, 0%, 100%);
$light-text: hsl(200, 15%, 8%);
$dark-text: hsl(0, 0%, 100%);
$b-radius: 10px;
$test2: hsl(0, 0%, 52%);

// bootstrap override 
$custom-select-border-width: 0px;
$input-border-width: 0px;

// end bootstrap override 

$themes: (
  light: (
    bg: $bg-light,
    bg-secondary: $bg-light-secondary,
    text: $light-text,
    bg-select: $bg-light-secondary url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='4' height='5' viewBox='0 0 4 5'%3e%3cpath fill='black' d='M2 0L0 2h4zm0 5L0 3h4z'/%3e%3c/svg%3e") no-repeat right 0.75rem center/8px 10px
  ),
  dark: (
    bg: $bg-dark,
    bg-secondary: $bg-dark-secondary,
    text: $dark-text,
    bg-select: $bg-dark-secondary url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='4' height='5' viewBox='0 0 4 5'%3e%3cpath fill='white' d='M2 0L0 2h4zm0 5L0 3h4z'/%3e%3c/svg%3e") no-repeat right 0.75rem center/8px 10px
  ),
);
$theme-map: null;
@mixin themed() {
  @each $theme, $map in $themes {
    .#{$theme}-mode & {
      $theme-map: () !global;
      @each $key, $submap in $map {
        $value: map-get(map-get($themes, $theme), '#{$key}');
        $theme-map: map-merge($theme-map, ($key: $value)) !global;
      }
      @content;
      $theme-map: null !global;
    }
  }
}

@function t($key) {
  @return map-get($theme-map, $key);
}